О необходимости обновления терминалов QUIK для работы на срочном рынке с 14 сентября 2020 г

10.09.2020 15:00

Уважаемые клиенты!

В связи с переходом с 14 сентября 2020 г на 19-значную нумерацию заявок и сделок на срочном рынке Московской Бирже для корректной работы на этом рынке в системе QUIK необходимо использовать следующие версии десктопных и мобильных терминалов:

- приложение для операционной системы Windows - не ниже версии 8.5. Актуальная версия размещена на сайте и доступна для автоматического обновления при подключении к Серверу 1 и 2 системы.

- мобильные приложения для iOS и Android - iQUIK X и QUIK Android X не ниже версии 3.4. Актуальные версии доступны в AppStore и Google Play.

Если вы используете скрипты LUA, то просим внимательно ознакомится со следующей информацией: 
- В клиентском терминале QUIK v. 8.5 и выше поддерживается версия встроенного скриптового языка LUA 5.3 (предыдущая поддерживаемая версия 5.1).
- Выполнение скриптов, скомпилированных под версию Lua 5.1, будет невозможно на новой версии терминала QUIK. Для решения проблемы потребуется повторная компиляция под версию Lua 5.3.
- Lua 5.3 частично обратно не совместим с версией Lua 5.1, поэтому мы рекомендуем провести повторную отладку скриптов на новой версии терминала, и убедиться в их работоспособности.
- если вы используете скрипты LUA и обновились до версии клиентского места 8.5 и выше, но не осуществляете операций на срочном рынке, вы можете произвести установить предыдущую версию клиентского места и использовать скрипты в ней. Дистрибутив версии QUIK v8.4 также доступен на нашем сайте.  

Обращаем внимание, что Банк не осуществляет поддержку и консультации по созданию и использованию скриптов LUA за исключением скрипта расчета коэффициента достаточности средств kds.lua, входящего в дистрибутив клиентского терминала QUIK. Данный скрипт будет корректно обрабатываться клиентским местом после обновления.

Полезные ссылки:

         - ветка форума QUIK посвященная описанной проблематике:
           https://forum.quik.ru/forum10/topic5119/

         - более подробная информация о совместимости  Lua 5.1 и 5.3:
           https://www.lua.org/manual/5.3/manual.html#8
           https://www.lua.org/manual/5.2/manual.html#8
           https://www.lua.org/manual/5.1/manual.html#7

Департамент брокерского обслуживания, Банк ВТБ (ПАО)
 

Другие публикации раздела «Новости обслуживания»

10.09.2020 15:00
О необходимости обновления терминалов QUIK для работы на срочном рынке с 14 сентября 2020 г

Статей: 1 - 10 из 11
1 2 В конец

2008 2009 2010 2011 2012 2013 2014 2015 2016 2017 2018 2019 2020
Январь Апрель Июль Октябрь
Февраль Май Август Ноябрь
Март Июнь Сентябрь Декабрь